Package com.massivecraft.factions.util.Particles

## Enum Particles

- java.lang.Object
- - java.lang.Enum<Particles>
  - - com.massivecraft.factions.util.Particles.Particles

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<Particles>`, `java.lang.constant.Constable`

    public enum Particles
    extends java.lang.Enum<Particles>

### Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Enum

`java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

### Enum Constant Summary

Enum Constants
Enum Constant | Description
--- | ---
`CLOUD` |
`NOTE` |
`REDSTONE` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `displayAtLocation​(org.bukkit.Location location, int amt)` |
`void` | `displayAtLocation​(org.bukkit.Location location, int amt, ParticleEffect.OrdinaryColor color)` |
`static Particles` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
`static Particles[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CLOUD

    public static final Particles CLOUD

#### REDSTONE

    public static final Particles REDSTONE

#### NOTE

    public static final Particles NOTE

### Method Detail

#### values

    public static Particles[] values()

Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Particles valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### displayAtLocation

    public void displayAtLocation​(org.bukkit.Location location,
                                  int amt)

#### displayAtLocation

    public void displayAtLocation​(org.bukkit.Location location,
                                  int amt,
                                  ParticleEffect.OrdinaryColor color)